body {
    font-family: Arial, sans-serif;
    background: linear-gradient(to bottom, #000428, #004e92);
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    flex-direction: column;
}

.container {
    text-align: center;
    width: 100%;
    max-width: 600px;
    padding: 10px;
    box-sizing: border-box;
}

h1 {
    margin: 0;
    padding: 20px 0;
}

#menu,
.board,
.scoreboard {
    margin-top: 20px;
    margin-bottom: 20px;
}

.photo {
    margin-top: -5%;
}

.scoreboard {
    font-size: 20px;
}

.board {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 5px;
    max-width: 300px;
    margin: 0 auto;
    position: relative;
    /* Added to make sure lines are positioned correctly */
}

.cell {
    background: rgba(255, 255, 255, 0.1);
    border: 2px solid #ffffff;
    font-size: 3em;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100px;
    cursor: pointer;
}

button {
    background: #004e92;
    border: none;
    color: #ffffff;
    padding: 10px 20px;
    margin: 5px;
    cursor: pointer;
    font-size: 1em;
    transition: background 0.3s;
}

button:hover {
    background: #003366;
}

.blink {
    animation: blink 1s infinite;
    color: #2ff6adb6;
    font-weight: bold;
    font-weight: bold;
    font-size: x-large;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
}

footer {
    text-align: center;
    margin-top: 20px;
    font-size: 14px;
    color: #ffffff;
    /*background-color: #333333;*/
    padding: 10px;
}

.line {
    position: absolute;
    background-color: red;
    height: 5px;
    width: 100%;
    top: 50%;
    left: 0;
    transform-origin: center center;
}

.line-horizontal-0 {
    top: calc(100px / 2 - 2.5px);
    /* Adjusted for correct alignment */
}

.line-horizontal-1 {
    top: calc(100px / 2 + 100px + 5px - 2.5px);
    /* Adjusted for correct alignment */
}

.line-horizontal-2 {
    top: calc(100px / 2 + 200px + 10px - 2.5px);
    /* Adjusted for correct alignment */
}

.line-vertical-0 {
    width: 5px;
    height: 100%;
    top: 0;
    left: calc(100px / 2 - 2.5px);
    /* Adjusted for correct alignment */
}

.line-vertical-1 {
    width: 5px;
    height: 100%;
    top: 0;
    left: calc(100px / 2 + 100px + 5px - 2.5px);
    /* Adjusted for correct alignment */
}

.line-vertical-2 {
    width: 5px;
    height: 100%;
    top: 0;
    left: calc(100px / 2 + 200px + 10px - 2.5px);
    /* Adjusted for correct alignment */
}

.line-diagonal-0 {
    width: calc(100% + 20px);
    height: 5px;
    top: calc(50% - 2.5px);
    /* Adjusted for correct alignment */
    left: -10px;
    transform: rotate(45deg);
}

.line-diagonal-1 {
    width: calc(100% + 20px);
    height: 5px;
    top: calc(50% - 2.5px);
    /* Adjusted for correct alignment */
    left: -10px;
    transform: rotate(-45deg);
}